import { EventEmitter, OnInit } from '@angular/core';
import { Day } from 'dayspan';
import { DatePickerProvider } from '../providers/date-picker-provider';
export declare class DatePickerComponent implements OnInit {
    private datePickerProvider;
    monthLabels: string[];
    dayLabels: string[];
    date: Date;
    onSelect: EventEmitter<Date>;
    showView: string;
    weeks: Array<Array<Day>>;
    years: Array<number>;
    yearSelected: number;
    monthSelected: number;
    currentYear: number;
    currentMonth: number;
    currentDay: number;
    daySelected: Day;
    dayHighlighted: Day;
    startYear: number;
    endYear: number;
    constructor(datePickerProvider: DatePickerProvider);
    ngOnInit(): void;
    initOptions(): void;
    createCalendarWeeks(): void;
    previous(): void;
    next(): void;
    confirmDay(day: Day): void;
    selectDay(day: Day): void;
    showMonthView(): void;
    showYearView(): void;
    generateYears(): void;
    showPreviousYears(): void;
    showNextYears(): void;
    selectMonth(month: number): void;
    selectYear(year: any): void;
    resetView(): void;
    isToday(day: any): boolean;
}
